About 1.29 Support

Published: April 13, 2018
Author: Frotty

Patch Compatability

As of yesterday the 1.29 compatability changes have been merged and are available as update via the setup tool. This also contains the new natives and classes with instance limit increased to 32768.

Community member @crojewsk already created a Pull Request for the standard library containing extension function wrappers for the new natives, which will soon be merged.

With everything up to date, runmap should work as expected.

24 Players

Our wurst.build integration still doesn’t support configuring players, forces and loadingscreen options. These features will soon be implemented however, and then provide direct access to all new features from this patch.

For more information on the new patch click here.

Troubleshooting

I get wurst errors when trying to use the new natives!

  • Try deleting common.j and Blizzard.j files from your _build folder. Then use runmap to regenerate them.

Runmap starts, but the game window is black with a black error dialog

  • This happens when a map with the same name exists in the game’s root maps directory and the user-data map directory. Try deleting /Maps/Test/WurstRunMap.w3x from your game root directory.